%define upstream_name    HTML-Links-Localize
%define upstream_version 0.2.6

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Convert HTML Files to be used on a hard disk
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(HTML::Parser)
BuildRequires: perl(Module::Build::Compat)
BuildArch: noarch

%description
HTML::Links::Localize converts HTML files to be used when viewing on the
hard disk. Namely, it converts relative links to point to "index.html"
files in their directories.

To use it, first initialize an instance using new:

$converter = HTML::Links::Localize->new(base_dir => $base_dir, dest_dir =>
$dest_dir)
    The constructor accepts two named parameters which are mandatory.
    ''base_dir'' is the base directory (or source directory) for the
    operations. ''dest_dir'' is the root destination directory.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc META.yml COPYING Changes README
%{_bindir}/html-to-hd
%{_mandir}/man3/*
%perl_vendorlib/*



%changelog

* Thu Dec 01 2011 shlomif <shlomif> 0.2.6-2.mga2
+ Revision: 174908
- Convert to a macro
- imported package perl-HTML-Links-Localize


* Thu Dec 01 2011 cpan2dist 0.2.6-1mga
- initial mageia release, generated with cpan2dist
